import request from '@/utils/request'

export function getColumnsAndFilters(data) {
  return request({
    url: 'DataQueryManage/DataQuery/GetColumnsAndFilters',
    method: 'post',
    data,
  })
}

export function setConfig(data) {
  return request({
    url: 'DataQueryManage/DataQuery/SetConfig',
    method: 'post',
    data: data,
  })
}

export function getDepartmentList(data) {
  return request({
    url: 'Common/Data/GetDepartmentList',
    method: 'post',
    data: data,
  })
}

export function add(data) {
  return request({
    url: 'risk/type/insert',
    method: 'post',
    data,
  })
}

export function del(ids) {
  return request({
    url: 'risk/type/delete',
    method: 'post',
    data: ids,
  })
}
export function edit(data) {
  return request({
    url: 'risk/type/update',
    method: 'post',
    data,
  })
}

export default { add, edit, del }
